## percona-pg-repack 1.4.5

=== Makefile ===
#
# pg_repack: Makefile
#
#  Portions Copyright (c) 2008-2011, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
#  Portions Copyright (c) 2011, Itagaki Takahiro
#  Portions Copyright (c) 2012-2015, The Reorg Development Team
#

PG_CONFIG ?= pg_config
EXTENSION = pg_repack

.PHONY: dist/$(EXTENSION)-$(EXTVERSION).zip

# Pull out PostgreSQL version number from pg_config
VERSION := $(shell $(PG_CONFIG) --version | awk '{print $2}')
ifeq ("$(VERSION)","")
$(error pg_config not found)
endif

# PostgreSQL version as a number, e.g. 9.1.4 -> 901
INTVERSION := $(shell echo $$(($$(echo $(VERSION).0 | sed 's/\([[:digit:]]\{1,\}\)\.\([[:digit:]]\{1,\}\).*/\1*100+\2/'))))

# The version number of the library
EXTVERSION = $(shell grep '"version":' META.json | head -1 \
	| sed -e 's/[ 	]*"version":[ 	]*"\(.*\)",/\1/')

# NOTE: keep consistent with META.json
ifeq ($(shell echo $$(($(INTVERSION) < 901))),1)
$(error $(EXTENSION) requires PostgreSQL 9.1 or later. This is $(VERSION))
endif

SUBDIRS = bin lib regress

all install installdirs uninstall distprep clean distclean maintainer-clean debug:
	@for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir $@ || exit; \
	done

# We'd like check operations to run all the subtests before failing.
check installcheck:
	@CHECKERR=0; for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir $@ || CHECKERR=$$?; \
	done; \
	exit $$CHECKERR

# Prepare the package for PGXN submission
package: dist dist/$(EXTENSION)-$(EXTVERSION).zip

dist:
	mkdir -p dist

dist/$(EXTENSION)-$(EXTVERSION).zip:
	git archive --format zip --prefix=$(EXTENSION)-$(EXTVERSION)/ --output $@ master

=== debian/changelog ===
percona-pg-repack (1.4.5-2) unstable; urgency=medium

  * Update to new version 1.4.5

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Tue, 05 May 2020 11:07:41 +0000

percona-pg-repack (1.4.5-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 05 May 2020 11:07:41 +0000

=== debian/control ===
Source: percona-pg-repack
Priority: optional
Section: database
Maintainer: Percona Development Team <info@percona.com>
Build-Depends: debhelper (>= 9), percona-postgresql-server-dev-all (>= 153~)
Standards-Version: 4.1.1
Homepage: https://github.com/reorg/pg_repack
Vcs-Browser: https://salsa.debian.org/postgresql/pg-repack
Vcs-Git: https://salsa.debian.org/postgresql/pg-repack.git

Package: percona-postgresql-11-repack
Architecture: any
Depends: postgresql-11 (>= 11.9) | percona-postgresql-11 (>= 11.9), ${shlibs:Depends}, ${misc:Depends}
Provides: pg-repack, postgresql-11-repack
Description: reorganize tables in PostgreSQL databases with minimal locks
 pg_repack is a PostgreSQL extension which lets you remove bloat from tables
 and indexes, and optionally restore the physical order of clustered indexes.
 Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
 lock on the processed tables during processing. pg_repack is efficient to
 boot, with performance comparable to using CLUSTER directly.
 .
 This package contains the pg_repack program and the server extension for
 PostgreSQL 11.

## percona-pg-repack 1.4.6

=== Makefile ===
--- 
+++ 
@@ -25,8 +25,8 @@
 	| sed -e 's/[ 	]*"version":[ 	]*"\(.*\)",/\1/')
 
 # NOTE: keep consistent with META.json
-ifeq ($(shell echo $$(($(INTVERSION) < 901))),1)
-$(error $(EXTENSION) requires PostgreSQL 9.1 or later. This is $(VERSION))
+ifeq ($(shell echo $$(($(INTVERSION) < 904))),1)
+$(error $(EXTENSION) requires PostgreSQL 9.4 or later. This is $(VERSION))
 endif
 
 SUBDIRS = bin lib regress

=== lib/Makefile ===
#
# pg_repack: lib/Makefile
#
#  Portions Copyright (c) 2008-2012, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
#  Portions Copyright (c) 2011, Itagaki Takahiro
#  Portions Copyright (c) 2012-2015, The Reorg Development Team
#

PG_CONFIG ?= pg_config

# version as a number, e.g. 9.1.4 -> 901
VERSION := $(shell $(PG_CONFIG) --version | awk '{print $2}')
INTVERSION := $(shell echo $$(($$(echo $(VERSION).0 | sed 's/\([[:digit:]]\{1,\}\)\.\([[:digit:]]\{1,\}\).*/\1*100+\2/'))))

EXTENSION = pg_repack
MODULE_big = $(EXTENSION)

OBJS = repack.o pgut/pgut-spi.o

SHLIB_EXPORTS = exports.txt


# It is not possible to create tables with OIDs on PostgreSQL 12 or later
ifeq ($(shell echo $$(($(INTVERSION) < 1200))),1)
    RELHASOIDS := relhasoids
else
    RELHASOIDS := false
endif

# The version number of the program. It should be the same of the library.
REPACK_VERSION = $(shell grep '"version":' ../META.json | head -1 \
	| sed -e 's/[ 	]*"version":[ 	]*"\(.*\)",/\1/')

PG_CPPFLAGS = -DREPACK_VERSION=$(REPACK_VERSION)

DATA_built = pg_repack--$(REPACK_VERSION).sql pg_repack.control

USE_PGXS = 1
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# remove dependency on libxml2, libxslt, and libpam.
# XXX: find a better way to make sure we are linking with libraries
# from pg_config which we actually need.
LIBS := $(filter-out -lpam -lxml2 -lxslt, $(LIBS))

pg_repack.sql: pg_repack.sql.in
	echo "BEGIN;" > $@; \
	sed 's,MODULE_PATHNAME,$$libdir/$(MODULE_big),g' $< \
	| sed 's,REPACK_VERSION,$(REPACK_VERSION),g' >> $@; \
	echo "COMMIT;" >> $@;

pg_repack--$(REPACK_VERSION).sql: pg_repack.sql.in
	sed 's,REPACK_VERSION,$(REPACK_VERSION),g' $< \
	| sed 's,relhasoids,$(RELHASOIDS),g'> $@;

pg_repack.control: pg_repack.control.in
	sed 's,REPACK_VERSION,$(REPACK_VERSION),g' $< > $@

=== regress/Makefile ===
#
# pg_repack: regress/Makefile
#
#  Portions Copyright (c) 2008-2012, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
#  Portions Copyright (c) 2011, Itagaki Takahiro
#  Portions Copyright (c) 2012-2015, The Reorg Development Team
#

PG_CONFIG ?= pg_config

# version as a number, e.g. 9.1.4 -> 901
VERSION := $(shell $(PG_CONFIG) --version | awk '{print $2}')
INTVERSION := $(shell echo $$(($$(echo $(VERSION).0 | sed 's/\([[:digit:]]\{1,\}\)\.\([[:digit:]]\{1,\}\).*/\1*100+\2/'))))


#
# Test suite
#

REGRESS := init-extension repack-setup repack-run after-schema repack-check nosuper tablespace issue3

USE_PGXS = 1	# use pgxs if not in contrib directory
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
percona-pg-repack (1.4.6-2) unstable; urgency=medium

  * Update to new version 1.4.6

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Mon, 12 Oct 2020 09:59:26 +0000

percona-pg-repack (1.4.6-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 12 Oct 2020 09:59:26 +0000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_pgxs_test:
	rm -rf /tmp/pg-repack-tablespace
	mkdir /tmp/pg-repack-tablespace
	+PATH=$(firstword $(wildcard $(CURDIR)/debian/postgresql-*-repack/usr/lib/postgresql/13/bin)):$(PATH) \
		pg_buildext -i'--auth=trust' installcheck . regress postgresql-%v-repack
	rm -rf /tmp/pg-repack-tablespace

override_dh_auto_build:

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_installdocs:
	dh_installdocs --all doc/*

override_dh_auto_install:
	+pg_buildext loop percona-postgresql-%v-repack
	# Install an alternative for /usr/bin/pg_repack. We could wrap this
	# using pg_wrapper, but it doesn't matter which binary gets used (it
	# figures out the server version by itself), so we just use the one for
	# the newest server version.
	set -ex; \
	for v in $(shell pg_buildext supported-versions); do \
		i=$$(echo $$v | tr -d .); \
		echo "update-alternatives --install /usr/bin/pg_repack pg_repack /usr/lib/postgresql/$$v/bin/pg_repack $$i" >> debian/percona-postgresql-$$v-repack.postinst.debhelper; \
		echo "update-alternatives --remove pg_repack /usr/lib/postgresql/$$v/bin/pg_repack" >> debian/percona-postgresql-$$v-repack.prerm.debhelper; \
	done

%:
	dh $@

## percona-pg-repack 1.4.7

=== regress/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 #  Portions Copyright (c) 2008-2012, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
 #  Portions Copyright (c) 2011, Itagaki Takahiro
-#  Portions Copyright (c) 2012-2015, The Reorg Development Team
+#  Portions Copyright (c) 2012-2020, The Reorg Development Team
 #
 
 PG_CONFIG ?= pg_config

=== debian/changelog ===
percona-pg-repack (1.4.7-1) unstable; urgency=medium

  * Update to new version 1.4.7

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Wed, 17 Nov 2021 03:39:33 +0000

percona-pg-repack (1.4.7-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 17 Nov 2021 03:39:33 +0000

=== debian/control ===
Source: percona-pg-repack
Priority: optional
Section: database
Maintainer: Percona Development Team <info@percona.com>
Build-Depends: debhelper (>= 9), percona-postgresql-server-dev-all (>= 153~)
Rules-Requires-Root: no
Homepage: https://github.com/reorg/pg_repack
Vcs-Browser: https://salsa.debian.org/postgresql/pg-repack
Vcs-Git: https://salsa.debian.org/postgresql/pg-repack.git

Package: percona-postgresql-14-repack
Architecture: any
Depends: postgresql-14 (>= 14.1) | percona-postgresql-14 (>= 14.1), ${shlibs:Depends}, ${misc:Depends}
Provides: pg-repack, postgresql-14-repack
Description: reorganize tables in PostgreSQL databases with minimal locks
 pg_repack is a PostgreSQL extension which lets you remove bloat from tables
 and indexes, and optionally restore the physical order of clustered indexes.
 Unlike CLUSTER and VACUUM FULL it works online, without holding an exclusive
 lock on the processed tables during processing. pg_repack is efficient to
 boot, with performance comparable to using CLUSTER directly.
 .
 This package contains the pg_repack program and the server extension for
 PostgreSQL 14.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 override_dh_pgxs_test:
 	rm -rf /tmp/pg-repack-tablespace
 	mkdir /tmp/pg-repack-tablespace
-	+PATH=$(firstword $(wildcard $(CURDIR)/debian/postgresql-*-repack/usr/lib/postgresql/13/bin)):$(PATH) \
+	+PATH=$(firstword $(wildcard $(CURDIR)/debian/postgresql-*-repack/usr/lib/postgresql/14/bin)):$(PATH) \
 		pg_buildext -i'--auth=trust' installcheck . regress postgresql-%v-repack
 	rm -rf /tmp/pg-repack-tablespace

## percona-pg-repack 1.4.8

=== debian/changelog ===
percona-pg-repack (1.4.8-4) unstable; urgency=medium

  * Update to new version 1.4.8

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Mon, 05 Jun 2023 19:36:43 +0000

percona-pg-repack (1.4.8-4) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 05 Jun 2023 19:36:43 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: percona-postgresql-14-repack
 Architecture: any
-Depends: postgresql-14 (>= 14.1) | percona-postgresql-14 (>= 14.1), ${shlibs:Depends}, ${misc:Depends}
+Depends: postgresql-14 (>= 14.8) | percona-postgresql-14 (>= 14.8), ${shlibs:Depends}, ${misc:Depends}
 Provides: pg-repack, postgresql-14-repack
 Description: reorganize tables in PostgreSQL databases with minimal locks
  pg_repack is a PostgreSQL extension which lets you remove bloat from tables

## percona-pg-repack 1.5.0

=== lib/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 #  Portions Copyright (c) 2008-2012, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
 #  Portions Copyright (c) 2011, Itagaki Takahiro
-#  Portions Copyright (c) 2012-2015, The Reorg Development Team
+#  Portions Copyright (c) 2012-2020, The Reorg Development Team
 #
 
 PG_CONFIG ?= pg_config

=== debian/changelog ===
percona-pg-repack (1.5.0-1) unstable; urgency=medium

  * Update to new version 1.5.0

 -- Ubuntu <ubuntu@minimal-ubuntu-focal-x64-16456>  Wed, 21 Feb 2024 12:54:49 +0000

percona-pg-repack (1.5.0-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com>  Wed, 21 Feb 2024 12:54:49 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: percona-postgresql-14-repack
 Architecture: any
-Depends: postgresql-14 (>= 14.8) | percona-postgresql-14 (>= 14.8), ${shlibs:Depends}, ${misc:Depends}
+Depends: postgresql-14 (>= 14.13) | percona-postgresql-14 (>= 14.13), ${shlibs:Depends}, ${misc:Depends}
 Provides: pg-repack, postgresql-14-repack
 Description: reorganize tables in PostgreSQL databases with minimal locks
  pg_repack is a PostgreSQL extension which lets you remove bloat from tables

## percona-pg-repack 1.5.1

=== regress/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Test suite
 #
 
-REGRESS := init-extension repack-setup repack-run after-schema repack-check nosuper tablespace issue3
+REGRESS := init-extension repack-setup repack-run error-on-invalid-idx after-schema repack-check nosuper tablespace get_order_by trigger
 
 USE_PGXS = 1	# use pgxs if not in contrib directory
 PGXS := $(shell $(PG_CONFIG) --pgxs)

=== debian/changelog ===
percona-pg-repack (1.5.1-1) unstable; urgency=medium

  * Update to new version 1.5.1

 -- root <root@7ba17f2bc866>  Wed, 27 Nov 2024 14:41:01 +0000

percona-pg-repack (1.5.1-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com>  Wed, 27 Nov 2024 14:41:01 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: percona-postgresql-14-repack
 Architecture: any
-Depends: postgresql-14 (>= 14.13) | percona-postgresql-14 (>= 14.13), ${shlibs:Depends}, ${misc:Depends}
+Depends: postgresql-14 (>= 14.15) | percona-postgresql-14 (>= 14.15), ${shlibs:Depends}, ${misc:Depends}
 Provides: pg-repack, postgresql-14-repack
 Description: reorganize tables in PostgreSQL databases with minimal locks
  pg_repack is a PostgreSQL extension which lets you remove bloat from tables

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 override_dh_pgxs_test:
 	rm -rf /tmp/pg-repack-tablespace
 	mkdir /tmp/pg-repack-tablespace
-	+PATH=$(firstword $(wildcard $(CURDIR)/debian/postgresql-*-repack/usr/lib/postgresql/14/bin)):$(PATH) \
+	+PATH=$(firstword $(wildcard $(CURDIR)/debian/postgresql-*-repack/usr/lib/postgresql/12/bin)):$(PATH) \
 		pg_buildext -i'--auth=trust' installcheck . regress postgresql-%v-repack
 	rm -rf /tmp/pg-repack-tablespace
 
@@ -32,3 +32,6 @@
 
 %:
 	dh $@
+
+override_dh_builddeb:
+	dh_builddeb -- -Zgzip

## percona-pg-repack 1.5.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 #  Portions Copyright (c) 2008-2011, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
 #  Portions Copyright (c) 2011, Itagaki Takahiro
-#  Portions Copyright (c) 2012-2015, The Reorg Development Team
+#  Portions Copyright (c) 2012-2020, The Reorg Development Team
 #
 
 PG_CONFIG ?= pg_config

=== regress/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Test suite
 #
 
-REGRESS := init-extension repack-setup repack-run error-on-invalid-idx after-schema repack-check nosuper tablespace get_order_by trigger
+REGRESS := init-extension repack-setup repack-run error-on-invalid-idx no-error-on-invalid-idx after-schema repack-check nosuper tablespace get_order_by trigger
 
 USE_PGXS = 1	# use pgxs if not in contrib directory
 PGXS := $(shell $(PG_CONFIG) --pgxs)

=== debian/changelog ===
percona-pg-repack (1.5.2-2) unstable; urgency=medium

  * Update to new version 1.5.2

 -- root <root@3adfc91d51b5>  Tue, 19 Aug 2025 08:45:59 +0000

percona-pg-repack (1.5.2-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com>  Tue, 19 Aug 2025 08:45:59 +0000

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-repack
 Vcs-Git: https://salsa.debian.org/postgresql/pg-repack.git
 
-Package: percona-postgresql-14-repack
+Package: percona-postgresql-15-repack
 Architecture: any
-Depends: postgresql-14 (>= 14.15) | percona-postgresql-14 (>= 14.15), ${shlibs:Depends}, ${misc:Depends}
-Provides: pg-repack, postgresql-14-repack
+Depends: postgresql-15 (>= 15.14) | percona-postgresql-15 (>= 15.14), ${shlibs:Depends}, ${misc:Depends}
+Provides: pg-repack, postgresql-15-repack
 Description: reorganize tables in PostgreSQL databases with minimal locks
  pg_repack is a PostgreSQL extension which lets you remove bloat from tables
  and indexes, and optionally restore the physical order of clustered indexes.
@@ -20,4 +20,4 @@
  boot, with performance comparable to using CLUSTER directly.
  .
  This package contains the pg_repack program and the server extension for
- PostgreSQL 14.
+ PostgreSQL 15.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 override_dh_pgxs_test:
 	rm -rf /tmp/pg-repack-tablespace
 	mkdir /tmp/pg-repack-tablespace
-	+PATH=$(firstword $(wildcard $(CURDIR)/debian/postgresql-*-repack/usr/lib/postgresql/12/bin)):$(PATH) \
+	+PATH=$(firstword $(wildcard $(CURDIR)/debian/postgresql-*-repack/usr/lib/postgresql/15/bin)):$(PATH) \
 		pg_buildext -i'--auth=trust' installcheck . regress postgresql-%v-repack
 	rm -rf /tmp/pg-repack-tablespace
